<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [setTerritoryWarfare](./bitburner.gang.setterritorywarfare.md)

## Gang.setTerritoryWarfare() method

Enable/Disable territory clashes.

**Signature:**

```typescript
setTerritoryWarfare(engage: boolean): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

engage


</td><td>

boolean


</td><td>

Whether or not to engage in territory clashes.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 2 GB

Set whether or not the gang should engage in territory clashes

